# To get started with security, check out the documentation:
# http://symfony.com/doc/current/book/security.html
security:
  # http://symfony.com/doc/current/book/security.html#where-do-users-come-from-user-providers
  providers:
    in_memory:
      memory:
        users:
          bstar:
            password: $2y$13$./cas5fxa2yto6Q2or0TZ.zwwisoFWWP6MgrCQbO7ljUtynaCalAi
            roles: 'ROLE_ADMIN'
  encoders:
    Symfony\Component\Security\Core\User\User: #plaintext
      algorithm: bcrypt
      cost: 13
  firewalls:
    dev:
      pattern: ^/(_(profiler|wdt)|css|images|js)/
      security: false
    main:
      anonymous: ~
      form_login:
        login_path: login
        check_path: login
        default_target_path: after_login
        always_use_default_target_path: true
      logout:
        path: /logout
        target: /
  access_control:
    - { path: ^/login, roles: IS_AUTHENTICATED_ANONYMOUSLY }
    - { path: ^/admin, roles: ROLE_ADMIN }